## slgsl 0.5.2

=== doc/tm/Makefile ===
# -*- sh -*-
#
# To create the SGML files, you will need to install the tm-utils
# package.  See http://www.jedsoft.org/ for more information.
#
TMEXPAND = /aluche/d1/web/tm-dist/bin/tmexpand
SL2TM = sl2tm
MACRODIR = /aluche/d1/web/tm-dist/macros
TM2HLP = $(TMEXPAND) -I$(MACRODIR) -Mslhlp

MODULE = slgsl
HLPFUNS_TM = $(MODULE)funs.tm
AUTOGEN_TM = 
MODULE_DEPS = $(MODULE)funs.tm $(AUTOGEN_TM)
HLP_FILE_DEPS = rtl/*.tm

TXT_FILES = $(MODULE).txt
SGML_FILES = $(MODULE).sgml
HTML_FILES = $(MODULE).html
TEX_FILES = $(MODULE).tex
PS_FILES = $(MODULE).ps 
PDF_FILES = $(MODULE).pdf
HLP_FILE = $(MODULE).hlp

SGML2LATEX = sgml2latex -p letter -o tex
SGML2HTML = sgml2html
SGML2TXT = sgml2txt -f
LATEX = latex
PDFLATEX = pdflatex

TEXTDIR = ../text
PSDIR = ../ps
HTMLDIR = ../html
SGMLDIR = ../sgml
PDFDIR = ../pdf
HELPDIR = ../help

SUBDIRS = $(TEXTDIR) $(HTMLDIR) $(PSDIR) $(SGMLDIR) $(PDFDIR) $(HELPDIR)
SRCDIR = `pwd`

default: $(TXT_FILES) $(HLP_FILE)
all: $(HTML_FILES) $(PDF_FILES) $(TXT_FILES) $(PS_FILES) $(HLP_FILE)
text-files: $(TXT_FILES)
#----- SGML Files -----------------------------------------------------------
$(MODULE).sgml : $(MODULE).tm $(MODULE_DEPS)
	$(TMEXPAND) -I$(MACRODIR) $(MODULE).tm $(MODULE).sgml
#----- HTML Files -----------------------------------------------------------
$(MODULE).html : $(MODULE).sgml
	$(SGML2HTML) $(MODULE).sgml
#----- TeX Files ------------------------------------------------------------
$(MODULE).tex : $(MODULE).sgml
	$(SGML2LATEX) $(MODULE).sgml
	jed -script ./fixtex.sl $(MODULE).tex
#----- PDF Files -----------------------------------------------------------
$(MODULE).pdf : $(MODULE).tex
	$(MAKE) texclean
	$(PDFLATEX) $(MODULE).tex
	$(PDFLATEX) $(MODULE).tex
	$(PDFLATEX) $(MODULE).tex
#----- PS Files -----------------------------------------------------------
$(MODULE).ps : $(MODULE).tex texclean
	$(LATEX) $(MODULE).tex
	$(LATEX) $(MODULE).tex
	$(LATEX) $(MODULE).tex
	dvips -o $(MODULE).ps $(MODULE).dvi
#----- Text Files -----------------------------------------------------------
$(MODULE).txt: $(MODULE).sgml
	$(SGML2TXT) $(MODULE).sgml
	./fixtxt $(MODULE).txt
#----------------------------------------------------------------------------
help-files: $(HLP_FILE)
$(HLP_FILE): $(HLPFUNS_TM) $(HLP_FILE_DEPS)
	$(TMEXPAND) -I$(MACRODIR) -Mslhlp $(HLPFUNS_TM) $(HLP_FILE)
texclean:
	-rm -f *.dvi *.log *.aux *.toc *.out
clean: texclean
	-rm -f *~ rtl/*.BAK rtl/*~ *.tmp *-error
distclean: clean
	-rm -f *.html *.ps $(HLP_FILE) $(TXT_FILES) $(TEX_FILES) $(SGML_FILES) $(PDF_FILES) $(AUTOGEN_TM)
install-txt: $(TXT_FILES)
	-mv $(TXT_FILES) ../text
install-help: $(HLP_FILE)
	-mkdir -p $(HELPDIR)
	-mv $(HLP_FILE) $(HELPDIR)
install-all: all install-help install-txt $(PS_FILES) $(PDF_FILES)
	-mkdir -p $(HTMLDIR) $(PSDIR) $(PDFDIR)
	-mv *.html $(HTMLDIR)
	-mv $(PS_FILES) ../ps
	-mv $(PDF_FILES) ../pdf
install: install-txt install-help

## slgsl 0.5.4

=== gen/Makefile ===
SRCDIR = ../src
AUTOGEN_SOURCES = gslsf-module.c gslconst-module.c gslcdf-module.c
AUTOGEN_DOCS = gslsf-module.tm gslconst-module.tm gslcdf-module.tm
DOCDIR = ../doc/tm/rtl/
PREFIX = /usr/local

all: $(AUTOGEN_SOURCES)

gslsf-module.c: template.c codegen
	./codegen gslsf $(PREFIX)/include/gsl/gsl_sf*.h

gslconst-module.c: template.c codegen
	./codegen gslconst $(PREFIX)/include/gsl/gsl_const*.h

gslcdf-module.c: template.c codegen
	./codegen gslcdf $(PREFIX)/include/gsl/gsl_cdf*.h # $(PREFIX)/include/gsl/gsl_randist.h

install: $(AUTOGEN_SOURCES)
	mv $(AUTOGEN_SOURCES) $(SRCDIR)
	mv $(AUTOGEN_DOCS) $(DOCDIR)

clean:
	/bin/rm -f *~ \#* $(AUTOGEN_SOURCES)

## slgsl 0.7.0

=== gen/Makefile ===
--- 
+++ 
@@ -2,7 +2,8 @@
 AUTOGEN_SOURCES = gslsf-module.c gslconst-module.c gslcdf-module.c
 AUTOGEN_DOCS = gslsf-module.tm gslconst-module.tm gslcdf-module.tm
 DOCDIR = ../doc/tm/rtl/
-PREFIX = /usr/local
+#PREFIX = $(HOME)/sys/i686/test
+PREFIX = /usr
 
 all: $(AUTOGEN_SOURCES)

=== doc/tm/Makefile ===
--- 
+++ 
@@ -39,7 +39,7 @@
 SRCDIR = `pwd`
 
 default: $(TXT_FILES) $(HLP_FILE)
-all: $(HTML_FILES) $(PDF_FILES) $(TXT_FILES) $(PS_FILES) $(HLP_FILE)
+all: $(HTML_FILES) $(PDF_FILES) $(TXT_FILES) $(HLP_FILE)
 text-files: $(TXT_FILES)
 #----- SGML Files -----------------------------------------------------------
 $(MODULE).sgml : $(MODULE).tm $(MODULE_DEPS)
@@ -50,7 +50,7 @@
 #----- TeX Files ------------------------------------------------------------
 $(MODULE).tex : $(MODULE).sgml
 	$(SGML2LATEX) $(MODULE).sgml
-	jed -script ./fixtex.sl $(MODULE).tex
+	./fixtex.sl $(MODULE).tex
 #----- PDF Files -----------------------------------------------------------
 $(MODULE).pdf : $(MODULE).tex
 	$(MAKE) texclean
@@ -82,9 +82,9 @@
 install-help: $(HLP_FILE)
 	-mkdir -p $(HELPDIR)
 	-mv $(HLP_FILE) $(HELPDIR)
-install-all: all install-help install-txt $(PS_FILES) $(PDF_FILES)
+install-all: all install-help install-txt $(PDF_FILES)
 	-mkdir -p $(HTMLDIR) $(PSDIR) $(PDFDIR)
 	-mv *.html $(HTMLDIR)
-	-mv $(PS_FILES) ../ps
 	-mv $(PDF_FILES) ../pdf
+#	-mv $(PS_FILES) ../ps
 install: install-txt install-help

=== debian/changelog ===
slgsl (0.7.0-6build1) artful; urgency=medium

  * No-change rebuild for libgsl soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Aug 2017 00:16:26 +0000

slgsl (0.7.0-6) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group.  (See: #748262) (Closes: #571890)
  * Update Build-Depends for GSL 2, change libgsl0-dev to libgsl-dev, thanks
    to Bas Couwenberg.  (Closes: #807227)
  * Use source format 3.0 (quilt).
  * Use debhelper compat level 9.
  * Switch from cdbs to dh.
  * Move git repository to collab-maint.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 16 Jan 2016 16:02:21 +0100

slgsl (0.7.0-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS due to detect gsl error. (Closes: #796402)

 -- YunQiang Su <syq@debian.org>  Mon, 16 Nov 2015 20:40:25 +0800

slgsl (0.7.0-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS: use --with-slanglib multiarch path (Closes: #640685)

 -- Simon Paillard <spaillard@debian.Org>  Sat, 17 Dec 2011 10:30:39 +0100

slgsl (0.7.0-5) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.8.1 (add debian/README.source file telling
      that quilt is used to obtain the upstream sources patched for Debian)
    + The package is now maintained with Git at alioth.debian.org.  Add
      Vcs-Git field and change Vcs-Browser accordingly.
    + Fix Lintian warning debhelper-but-no-misc-depends
    + Bump build dependency on debhelper to >= 7
  * debian/compat: Set compatibility level of debhelper to 7
  * debian/patches/use-fPIC.patch: Add description (fix Lintian warning)
  * debian/watch: Add file for uscan

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 26 Apr 2009 13:02:08 +0200

slgsl (0.7.0-4) unstable; urgency=low

  * Switch from CDBS' simple patchsys to quilt
  * debian/control: Fix spelling of S-Lang in description

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 17 Mar 2008 16:47:16 +0100

slgsl (0.7.0-3) unstable; urgency=low

  * debian/control:
    + Use the now official Vcs-* fields instead of the obsolete XS-Vcs-*
    + Dropped the Homepage pseudo-header from the extended description
    + Bumped Standards-Version to 3.7.3

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 15 Dec 2007 17:40:24 +0100

slgsl (0.7.0-2) unstable; urgency=low

  * debian/patches/use-fPIC.patch: Added patch for compiling files with
    -fPIC (closes: #444316)

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 27 Sep 2007 23:45:23 +0200

slgsl (0.7.0-1) unstable; urgency=low

  * New upstream release
  * debian/control: Added Homepage field

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 21 Sep 2007 17:23:43 +0200

slgsl (0.5.4-1) unstable; urgency=low

  * New upstream release

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 18 Dec 2006 11:15:28 +0100

slgsl (0.5.2-5) unstable; urgency=low

  * debian/control:
    - Added my name to the Uploaders list
    - Bumped Standards-Version to 3.7.2 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 15 Aug 2006 23:27:44 +0200

slgsl (0.5.2-4) unstable; urgency=low

   +++ Changes by Rafael Laboissiere

  * debian/watch: Added file

 -- Debian JED Group <pkg-jed-sl-modules@lists.alioth.debian.org>  Fri, 11 Nov 2005 00:30:12 +0100

slgsl (0.5.2-3) unstable; urgency=low

   +++ Changes by Rafael Laboissiere

  * debian/control: Changed the maintainer to
    pkg-jed-sl-modules@lists.alioth.debian.org

 -- Debian JED Group <pkg-jed-sl-modules@lists.alioth.debian.org>  Tue,  8 Nov 2005 23:06:25 +0100

slgsl (0.5.2-2) unstable; urgency=low

   +++ Changes by Rafael Laboissiere

  * debian/control: Build-Depend on slsh (closes: #337980)

 -- Debian JED Group <pkg-jed-devel@lists.alioth.debian.org>  Mon,  7 Nov 2005 21:56:19 +0100

slgsl (0.5.2-1) unstable; urgency=low

   +++ Changes by Rafael Laboissiere

  * First official release  (closes: #336255)

 -- Debian JED Group <pkg-jed-devel@lists.alioth.debian.org>  Sat, 29 Oct 2005 18:26:09 +0200

slgsl (0.5.2-0.1) unstable; urgency=low

   +++ Changes by Rafael Laboissiere

  * Initial release

 -- Debian JED Group <pkg-jed-devel@lists.alioth.debian.org>  Wed, 26 Oct 2005 15:43:11 +0200

Local Variables:
eval: (add-local-hook
  'debian-changelog-add-version-hook
  (lambda ()
    (save-excursion
      (forward-line -1)
      (beginning-of-line)
      (insert "\n  [ "
        (or (getenv "DEBFULLNAME") (user-full-name)) " ]"))))
End:

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- RPATH=

=== debian/watch ===
version=3
http://space.mit.edu/CXC/software/slang/modules/gsl/src/ slgsl-(.*).tar.gz

## slgsl 0.10.0~pre.4

=== debian/changelog ===
slgsl (0.10.0~pre.4-2) unstable; urgency=medium

  * QA upload.

  * d/control: Drop versioned constraint on jed and slrn in Suggests
  * d/t/control: Run unit tests without using the Makefile

 -- Rafael Laboissière <rafael@debian.org>  Thu, 30 Sep 2021 06:06:29 -0300

slgsl (0.10.0~pre.4-1) unstable; urgency=medium

  * QA upload.

  * New upstream version 0.10.0~pre.4
  * Create the Git repository at Salsa.debian.org
  * Bump debhelper compatibility level to = 13
    + d/control: Build-depend on debhelper-compat (= 13)
    + d/compat: Drop file
    + d/rules: Use option --no-parallel in dh sequencer
  * d/control:
    + Bump Standards-Version to 4.6.0 (no changes needed)
    + Add Rules-Requires-Root: no
  * d/copyright: Convert to DEP-5 format
  * Activate dh_autoreconf (Closes: #765254)
    + d/rules: Move the generated autoconf/configure to the top directory
    + d/autoreconf: New file
    + d/p/update-configure.patch: New patch
    + d/source/options: Ignore the configure file
    + d/clean: Remove the leftover directory autoconf/autoconf/
  * Exercise the unit tests
    + d/rules: Override dh_auto_test and set the correct S-Lang load path
    + d/p/slsh-path-unit-tests.patch
  * d/watch: Consider the upstream pre-release tarballs
  * d/t/control: Add autopkgtest support
  * Drop patches (the problems are fixed upstream)
    + d/p/find_gsl.diff
    + d/p/use-fPIC.patch

 -- Rafael Laboissière <rafael@debian.org>  Mon, 27 Sep 2021 15:15:45 -0300

=== debian/control ===
Source: slgsl
Section: interpreters
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libslang2-dev,
 slsh,
 libgsl-dev,
Standards-Version: 4.6.0
Homepage: http://space.mit.edu/cxc/software/slang/modules/gsl/
Vcs-Git: https://salsa.debian.org/debian/slgsl.git
Vcs-Browser: https://salsa.debian.org/debian/slgsl
Rules-Requires-Root: no

Package: slang-gsl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: slsh (>= 2.0) | jed | slrn
Description: GNU Scientific Library binding for S-Lang
 The GNU Scientific Library (GSL) is a vast collection of robust and
 well documented numerical functions. It includes support for many
 special functions, random numbers, interpolation and integration
 routines, and much more.
 .
 Many of the routines in the GSL may be made available to the S-Lang
 interpreter via the GSL modules included in this package.
 .
 The following GSL modules are available:
 .
  * gslsf: The GSL special function module. Currently, this module
    provides an interface to nearly 200 GSL special functions.
  * gslconst: The GSL constants module. This module defines many
    constants such as CONST_MKSA_SPEED_OF_LIGHT, CONST_CGSM_BOLTZMANN,
    etc.
  * gslinterp: The GSL interpolation module, which includes routines
    for linear interpolation, cubic splines, etc.
  * gslrand: The GSL random number module.  This module supports most
    of GSL's random number generators and distributions.
  * gslcdf: The GSL cumulative distribution function module.
  * gslfft: The GSL fast-fourier transform module.
  * gslcore: This is a module that must be loaded before any of the
    above modules can be loaded.  Its main purpose is to provide support
    functions for the other GSL modules.

=== debian/tests/control ===
Test-Command: for i in src/tests/test_*.sl ; do slsh $i ; done
Depends: @, slsh

## slgsl 0.10.0~pre.5

=== gen/Makefile ===
SRCDIR = ../src
AUTOGEN_SOURCES = gslsf-module.c gslconst-module.c gslcdf-module.c
AUTOGEN_DOCS = gslsf-module.tm gslconst-module.tm gslcdf-module.tm
DOCDIR = ../doc/tm/rtl/
#PREFIX = $(HOME)/sys/i686/test
#PREFIX = /usr
INCLUDE=$(PREFIX)/include/gsl

usage:
	@echo Usage: make PREFIX=/path/to/gsl/prefix all
all: $(AUTOGEN_SOURCES)

gslsf-module.c: template.c codegen
	./codegen gslsf $(INCLUDE)/gsl_sf*.h

gslconst-module.c: template.c codegen
	./codegen gslconst $(INCLUDE)/gsl_const*.h

gslcdf-module.c: template.c codegen
	./codegen gslcdf $(INCLUDE)/gsl_cdf*.h # $(INCLUDE)/gsl_randist.h

install: $(AUTOGEN_SOURCES)
	mv $(AUTOGEN_SOURCES) $(SRCDIR)
	mv $(AUTOGEN_DOCS) $(DOCDIR)

clean:
	/bin/rm -f *~ \#* $(AUTOGEN_SOURCES)

=== doc/tm/Makefile ===
--- 
+++ 
@@ -3,10 +3,9 @@
 # To create the SGML files, you will need to install the tm-utils
 # package.  See http://www.jedsoft.org/ for more information.
 #
-TMEXPAND = /aluche/d1/web/tm-dist/bin/tmexpand
-SL2TM = sl2tm
-MACRODIR = /aluche/d1/web/tm-dist/macros
-TM2HLP = $(TMEXPAND) -I$(MACRODIR) -Mslhlp
+TMEXPAND = tmexpand
+SL2TM = tm-strip
+TM2HLP = $(TMEXPAND) -Mslhlp
 
 MODULE = slgsl
 HLPFUNS_TM = $(MODULE)funs.tm
@@ -43,7 +42,7 @@
 text-files: $(TXT_FILES)
 #----- SGML Files -----------------------------------------------------------
 $(MODULE).sgml : $(MODULE).tm $(MODULE_DEPS)
-	$(TMEXPAND) -I$(MACRODIR) $(MODULE).tm $(MODULE).sgml
+	$(TMEXPAND) -I. -I$(MACRODIR) $(MODULE).tm $(MODULE).sgml
 #----- HTML Files -----------------------------------------------------------
 $(MODULE).html : $(MODULE).sgml
 	$(SGML2HTML) $(MODULE).sgml

=== debian/changelog ===
slgsl (0.10.0~pre.5-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + slang-gsl: Drop versioned constraint on slsh in Suggests.

  [ Rafael Laboissière ]
  * d/copyright: Update Copyright years for debian/* files

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 12:43:10 -0300

slgsl (0.10.0~pre.5-2) unstable; urgency=medium

  * Upload to unstable

 -- Rafael Laboissière <rafael@debian.org>  Sat, 11 Dec 2021 11:48:41 -0300

slgsl (0.10.0~pre.5-1) experimental; urgency=medium

  * Upload to experimental (do not interfere with the libgsl 25->26
    transition)

  * New upstream version 0.10.0~pre.5
  * Adopt package (Closes: #748262)
  * d/control: Add Multi-Arch: same
  * d/slang-gsl.examples: Install unit tests as examples
  * d/t/control: Use make in test command
  * d/u/metadata: New file

 -- Rafael Laboissière <rafael@debian.org>  Thu, 02 Dec 2021 04:04:31 -0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: slgsl
 Section: interpreters
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends:
- debhelper-compat (= 13),
- libslang2-dev,
- slsh,
- libgsl-dev,
-Standards-Version: 4.6.0
+Maintainer: Rafael Laboissière <rafael@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               libgsl-dev,
+               libslang2-dev,
+               slsh
+Standards-Version: 4.6.1
 Homepage: http://space.mit.edu/cxc/software/slang/modules/gsl/
 Vcs-Git: https://salsa.debian.org/debian/slgsl.git
 Vcs-Browser: https://salsa.debian.org/debian/slgsl
@@ -15,8 +14,9 @@
 
 Package: slang-gsl
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: slsh (>= 2.0) | jed | slrn
+Suggests: slsh | jed | slrn
 Description: GNU Scientific Library binding for S-Lang
  The GNU Scientific Library (GSL) is a vast collection of robust and
  well documented numerical functions. It includes support for many

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --no-parallel

export AUTOHEADER = true
execute_after_dh_autoreconf:
	mv autoconf/configure .

override_dh_auto_build:
	dh_auto_build -- RPATH=

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	SLSH_PATH=. $(MAKE) check
endif

## slgsl 0.10.0~pre.6

=== debian/changelog ===
slgsl (0.10.0~pre.6-1) unstable; urgency=medium

  * New upstream version 0.10.0~pre.6
  * d/control: Bump Standards-Version to 4.7.0 (no changes needed)
  * Transform HTML documentation file into Markdown format
    + d/rules: Replace the index.html file by the equivalent
      README-doc.md. This avoids the index.html being considered as
      documentation (and, hence, the need of doc-base support).
    + d/control: Build-depend on pandoc

 -- Rafael Laboissière <rafael@debian.org>  Thu, 14 Nov 2024 14:50:36 -0300

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Build-Depends: debhelper-compat (= 13),
                libgsl-dev,
                libslang2-dev,
+               pandoc,
                slsh
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: http://space.mit.edu/cxc/software/slang/modules/gsl/
 Vcs-Git: https://salsa.debian.org/debian/slgsl.git
 Vcs-Browser: https://salsa.debian.org/debian/slgsl

=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,8 @@
 override_dh_auto_test:
 	SLSH_PATH=. $(MAKE) check
 endif
+
+DOCDIR = ./debian/slang-gsl/usr/share/doc/slang-gsl
+execute_after_dh_installdeb:
+	pandoc $(DOCDIR)/index.html -t markdown -o $(DOCDIR)/README-doc.md
+	rm -f $(DOCDIR)/index.html

=== debian/watch ===
version=4
opts="uversionmangle=s/-/~pre./"	\
  https://www.jedsoft.org/snapshots/	\
  https://www.jedsoft.org/snapshots/slgsl-pre(.*).tar.gz

## slgsl 0.10.0~pre.7

=== debian/changelog ===
slgsl (0.10.0~pre.7-3) unstable; urgency=medium

  * d/control: Mark some build-dependencies with profiles !nodoc and !nocheck
  * d/rules:
    + Set DEB_BUILD_MAINT_OPTIONS to hardening=+all
    + Ignore building of the documentation in nodoc profile
    + Install examples/* files
  * d/watch: Convert to format version 5

 -- Rafael Laboissière <rafael@debian.org>  Tue, 30 Sep 2025 00:16:14 -0300

slgsl (0.10.0~pre.7-2) unstable; urgency=medium

  * Upload to unstable
  * d/control: Drop “Rules-Requires-Root: no”, which is now the default

 -- Rafael Laboissière <rafael@debian.org>  Mon, 08 Sep 2025 03:53:35 -0300

slgsl (0.10.0~pre.7-1) experimental; urgency=medium

  * New upstream version 0.10.0~pre.7
  * d/p/make-shuffle.patch: Drop patch (applied upstream)

 -- Rafael Laboissière <rafael@debian.org>  Fri, 30 May 2025 11:36:16 -0300

slgsl (0.10.0~pre.6-2) experimental; urgency=medium

  * d/p/make-shuffle.patch: New patch (Closes: #1105576)
  * d/rules: Drop unnecessary --no-parallel option
  * d/control: Bump Standards-Version to 4.7.2 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Sat, 17 May 2025 18:23:41 -0300

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,12 @@
 Build-Depends: debhelper-compat (= 13),
                libgsl-dev,
                libslang2-dev,
-               pandoc,
-               slsh
-Standards-Version: 4.7.0
+               pandoc <!nodoc>,
+               slsh <!nocheck>
+Standards-Version: 4.7.2
 Homepage: http://space.mit.edu/cxc/software/slang/modules/gsl/
 Vcs-Git: https://salsa.debian.org/debian/slgsl.git
 Vcs-Browser: https://salsa.debian.org/debian/slgsl
-Rules-Requires-Root: no
 
 Package: slang-gsl
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,9 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 %:
-	dh $@ --no-parallel
+	dh $@
 
 export AUTOHEADER = true
 execute_after_dh_autoreconf:
@@ -15,7 +17,9 @@
 	SLSH_PATH=. $(MAKE) check
 endif
 
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 DOCDIR = ./debian/slang-gsl/usr/share/doc/slang-gsl
 execute_after_dh_installdeb:
 	pandoc $(DOCDIR)/index.html -t markdown -o $(DOCDIR)/README-doc.md
 	rm -f $(DOCDIR)/index.html
+endif

=== debian/tests/control ===
Test-Command: make -C src -f Makefile.in check
Depends: @, slsh

=== debian/watch ===
Version: 5

Source: https://www.jedsoft.org/snapshots/
Matching-Pattern: https://www.jedsoft.org/snapshots/slgsl-pre@ANY_VERSION@@ARCHIVE_EXT@
Uversionmangle: s/-/~pre./
